Index: Singular/configure
===================================================================
--- Singular/configure	(revision 99019d6f6c54b6c478e47a059ccce9095a09ec86)
+++ Singular/configure	(revision 0fb33365c938bc91c1860b13dbd981c5869f942d)
@@ -5095,4 +5095,60 @@
 fi
 
+SAVE_LIBS=$LIBS
+echo $ac_n "checking for  in -lc_nonshared""... $ac_c" 1>&6
+echo "configure:5100: checking for  in -lc_nonshared" >&5
+ac_lib_var=`echo c_nonshared'_' | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lc_nonshared  $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 5108 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char ();
+
+int main() {
+()
+; return 0; }
+EOF
+if { (eval echo configure:5119: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+    ac_tr_lib=HAVE_LIB`echo c_nonshared | sed -e 's/[^a-zA-Z0-9_]/_/g' \
+    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
+  cat >> confdefs.h <<EOF
+#define $ac_tr_lib 1
+EOF
+
+  LIBS="-lc_nonshared $LIBS"
+
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+LIBS=$SAVE_LIBS
+if test "$ac_cv_lib_c_nonshared" = yes; then
+GLIBC_DYN_FIX="-lc_nonshared"
+else
+GLIBC_DYN_FIX=""
+fi
+
+
 # evaluate results
 if test "$ac_cv_omalloc_ok" != yes && test "$enable_omalloc" != yes; then
@@ -5101,5 +5157,5 @@
 
 echo $ac_n "checking which apint package to use""... $ac_c" 1>&6
-echo "configure:5104: checking which apint package to use" >&5
+echo "configure:5160: checking which apint package to use" >&5
 if test "${with_apint}" != gmp; then
   if test "$ac_gmp_ok" = yes || test "$enable_gmp" = yes; then
@@ -5124,5 +5180,5 @@
 #
 echo $ac_n "checking whether to have MP""... $ac_c" 1>&6
-echo "configure:5127: checking whether to have MP" >&5
+echo "configure:5183: checking whether to have MP" >&5
 if test "${with_MP}" != yes && test "${with_MP}" != no; then
   if (test "${will_have_gmp}" = yes) && \
@@ -5159,5 +5215,5 @@
 
 echo $ac_n "checking whether to have NTL""... $ac_c" 1>&6
-echo "configure:5162: checking whether to have NTL" >&5
+echo "configure:5218: checking whether to have NTL" >&5
 if test "${with_NTL}" = yes ; then
   echo "$ac_t""yes" 1>&6
@@ -5168,5 +5224,5 @@
 
 echo $ac_n "checking whether to have factory""... $ac_c" 1>&6
-echo "configure:5171: checking whether to have factory" >&5
+echo "configure:5227: checking whether to have factory" >&5
 if test "${with_factory}" != yes && test "${with_factory}" != no; then
   if test "$ac_factory_ok" =  yes || test "$enable_factory" = yes; then
@@ -5199,5 +5255,5 @@
 
 echo $ac_n "checking whether to have libfac""... $ac_c" 1>&6
-echo "configure:5202: checking whether to have libfac" >&5
+echo "configure:5258: checking whether to have libfac" >&5
 if test "${with_libfac}" != yes && test "${with_libfac}" != no; then
   if (test "${will_have_factory}" = yes) && \
@@ -5241,5 +5297,5 @@
 
 echo $ac_n "checking whether to have dbm links""... $ac_c" 1>&6
-echo "configure:5244: checking whether to have dbm links" >&5
+echo "configure:5300: checking whether to have dbm links" >&5
 if test "$with_dbm" != no; then
   cat >> confdefs.h <<\EOF
@@ -5253,5 +5309,5 @@
 
 echo $ac_n "checking whether to have namespaces""... $ac_c" 1>&6
-echo "configure:5256: checking whether to have namespaces" >&5
+echo "configure:5312: checking whether to have namespaces" >&5
 if test "$with_namespaces" != no; then
   echo "$ac_t""yes" 1>&6
@@ -5265,5 +5321,5 @@
 
 echo $ac_n "checking whether to have dynamic modules""... $ac_c" 1>&6
-echo "configure:5268: checking whether to have dynamic modules" >&5
+echo "configure:5324: checking whether to have dynamic modules" >&5
 if test "$with_dynamic_modules" = no || test "$ac_have_dl" != yes; then
   echo "$ac_t""no" 1>&6
@@ -5277,5 +5333,5 @@
 
 echo $ac_n "checking whether to have dynamic kernel""... $ac_c" 1>&6
-echo "configure:5280: checking whether to have dynamic kernel" >&5
+echo "configure:5336: checking whether to have dynamic kernel" >&5
 if test "$with_dynamic_kernel" != no && test "$ac_lib_dl" = yes; then
   DL_KERNEL=1
@@ -5287,5 +5343,5 @@
 
 echo $ac_n "checking whether to have Plural""... $ac_c" 1>&6
-echo "configure:5290: checking whether to have Plural" >&5
+echo "configure:5346: checking whether to have Plural" >&5
 if test "$with_Plural" != no && test "$enable_Plural" != no; then
   cat >> confdefs.h <<\EOF
@@ -5471,4 +5527,5 @@
 s%@CXXCPP@%$CXXCPP%g
 s%@USE_STDVECBOOL@%$USE_STDVECBOOL%g
+s%@GLIBC_DYN_FIX@%$GLIBC_DYN_FIX%g
 s%@HAVE_MPSR@%$HAVE_MPSR%g
 s%@MP_LIBS@%$MP_LIBS%g
Index: Singular/configure.in
===================================================================
--- Singular/configure.in	(revision 99019d6f6c54b6c478e47a059ccce9095a09ec86)
+++ Singular/configure.in	(revision 0fb33365c938bc91c1860b13dbd981c5869f942d)
@@ -771,4 +771,14 @@
 fi
 
+SAVE_LIBS=$LIBS
+AC_CHECK_LIB(c_nonshared)
+LIBS=$SAVE_LIBS
+if test "$ac_cv_lib_c_nonshared" = yes; then
+GLIBC_DYN_FIX="-lc_nonshared"
+else
+GLIBC_DYN_FIX=""
+fi
+AC_SUBST(GLIBC_DYN_FIX)
+
 # evaluate results
 dnl llllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllll
